hpp-corbaserver: _impl_Path Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
_impl_Path Class Referenceabstract

`#include <hpp/core_idl/paths-idl.hh>`

Inheritance diagram for _impl_Path:
[legend]
Collaboration diagram for _impl_Path:
[legend]

## Public Member Functions
virtual | ~_impl_Path ()
virtual void | deleteThis ()=0
virtual ::CORBA::Boolean | deleteIfExpired ()=0
virtual void | persistantStorage (::CORBA::Boolean persistant)=0
virtual size_type | outputSize ()=0
virtual size_type | outputDerivativeSize ()=0
virtual value_type | length ()=0
virtual floatSeq * | initial ()=0
virtual floatSeq * | end ()=0
virtual ConstraintSet_ptr | constraints ()=0
virtual char * | str ()=0
virtual floatSeq * | call (::hpp::value_type t, ::CORBA::Boolean &success)=0
virtual floatSeq * | at (::hpp::value_type t, ::CORBA::Boolean &success)=0
virtual floatSeq * | derivative (::hpp::value_type t, ::CORBA::Short order)=0
virtual Path_ptr | extract (::hpp::value_type tmin, ::hpp::value_type tmax)=0
virtual PathVector_ptr | asVector ()=0
virtual Path_ptr | reverse ()=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)

## Constructor & Destructor Documentation

## ◆ ~_impl_Path()

virtual _impl_Path::~_impl_Path | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch()

virtual _CORBA_Boolean _impl_Path::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

Reimplemented in _impl_PathVector, and _impl_Hermite.

## ◆ asVector()

virtual PathVector_ptr _impl_Path::asVector | ( |  | ) |
| pure virtual

## ◆ at()

virtual floatSeq * _impl_Path::at | ( | ::hpp::value_type | t,
|  | ::CORBA::Boolean & | success
| ) |  |
| pure virtual

## ◆ call()

virtual floatSeq * _impl_Path::call | ( | ::hpp::value_type | t,
|  | ::CORBA::Boolean & | success
| ) |  |
| pure virtual

## ◆ constraints()

virtual ConstraintSet_ptr _impl_Path::constraints | ( |  | ) |
| pure virtual

## ◆ deleteIfExpired()

virtual ::CORBA::Boolean _impl_Path::deleteIfExpired | ( |  | ) |
| pure virtual

## ◆ deleteThis()

virtual void _impl_Path::deleteThis | ( |  | ) |
| pure virtual

## ◆ derivative()

virtual floatSeq * _impl_Path::derivative | ( | ::hpp::value_type | t,
|  | ::CORBA::Short | order
| ) |  |
| pure virtual

## ◆ end()

virtual floatSeq * _impl_Path::end | ( |  | ) |
| pure virtual

## ◆ extract()

virtual Path_ptr _impl_Path::extract | ( | ::hpp::value_type | tmin,
|  | ::hpp::value_type | tmax
| ) |  |
| pure virtual

## ◆ initial()

virtual floatSeq * _impl_Path::initial | ( |  | ) |
| pure virtual

## ◆ length()

virtual value_type _impl_Path::length | ( |  | ) |
| pure virtual

## ◆ outputDerivativeSize()

virtual size_type _impl_Path::outputDerivativeSize | ( |  | ) |
| pure virtual

## ◆ outputSize()

virtual size_type _impl_Path::outputSize | ( |  | ) |
| pure virtual

## ◆ persistantStorage()

virtual void _impl_Path::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |
| pure virtual

## ◆ reverse()

virtual Path_ptr _impl_Path::reverse | ( |  | ) |
| pure virtual

## ◆ str()

virtual char * _impl_Path::str | ( |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- src/hpp/core_idl/paths-idl.hh